CLS
@echo off
if "%1"=="" goto NoParam
if "%1"=="c" goto NoParam
if "%1"=="C" goto NoParam
if "%1"=="d" goto NoParam
if "%1"=="D" goto NoParam
if "%1"=="e" goto NoParam
if "%1"=="E" goto NoParam
if "%1"=="f" goto NoParam
if "%1"=="F" goto NoParam
if "%1"=="g" goto NoParam
if "%1"=="G" goto NoParam
if "%1"=="h" goto NoParam
if "%1"=="H" goto NoParam
if "%1"=="i" goto NoParam
if "%1"=="I" goto NoParam
if "%1"=="j" goto NoParam
if "%1"=="J" goto NoParam
if "%1"=="k" goto NoParam
if "%1"=="K" goto NoParam
if "%1"=="l" goto NoParam
if "%1"=="L" goto NoParam
if "%1"=="m" goto NoParam
if "%1"=="M" goto NoParam
if "%1"=="n" goto NoParam
if "%1"=="N" goto NoParam
if "%1"=="a" goto NoParam
if "%1"=="A" goto NoParam
if "%1"=="b" goto NoParam
if "%1"=="B" goto NoParam
echo *********  B&B DOALL Installation/Upgrade **********
echo.
echo Installing B&B DOALL requires about 2.7 megabytes of storage space.
echo.
echo B&B DOALL will create a directory called \DOALL
echo on the %1 drive...
echo.
echo.
echo.
echo If you do not wish to proceed with the installation process at
echo this time, please press ^C (CONTROL-C) now.   
pause
echo Attempting to create directory DOALL 
if exist %1\DOALL GOTO next
md %1\DOALL
:next
BBDO -O %1\DOALL 
%1
cd\DOALL
CLS
echo.
echo Enter "TYPE DOALL.DOC>PRN" to print the documentation file.
echo.
echo Enter "DOALL <optional .DBF name>" to start program.
echo       "DOALL SAMPLE" is supplied for your convenience. 
echo.
echo. 
goto exit
:NoParam
CLS
echo **********  B&B DOALL Installation **********
echo.
echo B&B DOALL installs automatically onto your hard disk.
echo.
echo B&B DOALL will reside in a directory called \DOALL
echo on the hard disk you specify...
echo.
echo      To Install DOALL (from the B drive), you should:
echo.
echo      Get a "B:>" prompt by typing:   B:   (Press ENTER)
echo.
echo                 Then, type:  INSTALL X:   (Press ENTER)
echo.
echo      where "X:" is the hard disk where you want the program.
echo.
echo   For example, if "C:" is your hard disk and B: is your floppy drive...
echo.
echo   At "B:>" prompt, enter: INSTALL C: 
echo.
echo.
goto exit
:exit
